NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.Weld.SurfaceWeldBuilder Class Reference

Use to create or edit a NXOpen.Weld.SurfaceWeld feature. More...

Inheritance diagram for NXOpen.Weld.SurfaceWeldBuilder:
NXOpen.Weld.StructureWeldBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  DestinationTypes { WorkPart, NewComponent }
 The option specifying where the surface weld feature should be created. More...
 

Properties

unsafe NXOpen.Section Boundary [get]
 Returns the section defining all the boundaries to use for creating the surface weld. More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
Characteristics [get]
 Returns the characteristics to assign to the object created. More...
 
unsafe
NXOpen.Weld.SurfaceWeldBuilder.DestinationTypes 
Destination [get, set]
 Returns or sets the option specifying the destination for this surface weld feature. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance for constructing the surface weld. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
LineColorFontWidth [get]
 Returns the color, font, and width of the surface weld output curve. More...
 
unsafe string NamePrefix [get, set]
 Returns or sets the prefix used for the surface weld Design Feature name in Fourth Generation Design mode. More...
 
unsafe NXOpen.ScCollector Panel [get]
 Returns the collector containing the faces to create the surface weld on. More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectionDirection [get]
 Returns the project direction, which is used to project the boundary curves to the plate mold face. More...
 
unsafe NXOpen.Expression Thickness [get]
 Returns the expression containing the value of the thickness of the surface weld. More...
 
unsafe NXOpen.Expression Width [get]
 Returns the expression containing the value of the width of the surface weld if only the centerline is specified. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Weld.StructureWeldBuilder
unsafe
NXOpen.Assemblies.Component[] 
GetCommittedComponents ()
 This method returns the component parts that are created by Builder.Commit . More...
 

Detailed Description

Use to create or edit a NXOpen.Weld.SurfaceWeld feature.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateSurfaceWeldBuilder

Default values.

Property Value

Thickness.Value

12.2 (millimeters part), 0.5 (inches part)

Width.Value

12.2 (millimeters part), 0.5 (inches part)

Created in NX9.0.0

Member Enumeration Documentation

The option specifying where the surface weld feature should be created.

Enumerator
WorkPart 
NewComponent 

Property Documentation

unsafe NXOpen.Section NXOpen.Weld.SurfaceWeldBuilder.Boundary
get

Returns the section defining all the boundaries to use for creating the surface weld.

The largest boundary will be treated as the primary exterior boundary.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Weld.SurfaceWeldBuilder.Characteristics
get

Returns the characteristics to assign to the object created.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Weld.SurfaceWeldBuilder.DestinationTypes NXOpen.Weld.SurfaceWeldBuilder.Destination
getset

Returns or sets the option specifying the destination for this surface weld feature.

Only applicable during create.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe double NXOpen.Weld.SurfaceWeldBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance for constructing the surface weld.

Uses the modeling tolerance during creation.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.SurfaceWeldBuilder.LineColorFontWidth
get

Returns the color, font, and width of the surface weld output curve.

Created in NX9.0.0

License requirements: None.

unsafe string NXOpen.Weld.SurfaceWeldBuilder.NamePrefix
getset

Returns or sets the prefix used for the surface weld Design Feature name in Fourth Generation Design mode.

Only applicable during create.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.SurfaceWeldBuilder.Panel
get

Returns the collector containing the faces to create the surface weld on.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Weld.SurfaceWeldBuilder.ProjectionDirection
get

Returns the project direction, which is used to project the boundary curves to the plate mold face.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.SurfaceWeldBuilder.Thickness
get

Returns the expression containing the value of the thickness of the surface weld.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.SurfaceWeldBuilder.Width
get

Returns the expression containing the value of the width of the surface weld if only the centerline is specified.

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.